Zum Hauptinhalt springen
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Funktionen nach einem Typ für eine angegebene Definition abrufen
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich
definitionId
string
erforderlich
functionType
enum<string>
erforderlich
Verfügbare Optionen:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Antwort

successful operation

functionSource
string
erforderlich

Der Quellcode oder das Skript, das das Verhalten der Funktion definiert.

functionType
enum<string>
erforderlich

Der Funktionstyp mit den akzeptierten Werten: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Verfügbare Optionen:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

Die eindeutige ID für die Aktionsfunktion.

Last modified on April 13, 2026